Bug 1659673 - On first login, VPN panel is not displayed in system menu despite VPN being automatically connected
Summary: On first login, VPN panel is not displayed in system menu despite VPN being a...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-15 01:45 UTC by Dimitris
Modified: 2019-11-01 06:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Dimitris 2018-12-15 01:45:58 UTC
Description of problem:

With the in-range WLAN configured to auto-connect to an OpenVPN service (using nm-connection-editor), upon login the whole VPN panel is missing from the system menu, despite the VPN being connected.  Workaround is to first log in to text console, wait until VPN auto-connects, then log in from Wayland.

Version-Release number of selected component (if applicable):

NetworkManager-openvpn.x86_64 1:1.8.8-1.fc29                                                                   
NetworkManager-openvpn-gnome.x86_64 1:1.8.8-1.fc29
gnome-shell.x86_64 3.30.2-1.fc29

How reproducible:

Every time

Steps to Reproduce:
1. WLAN in rage, "available to all users" disabled, autoconnect enabled, set to use an OpenVPN connection automatically when connected.
2. Boot, log in to Wayland session.
3. VPN icon and VPN panel in system menu missing.

If between steps 1 and 2 I do:
- Ctrl-Alt-F3
- log in, run "ip route" to wait for VPN to come up.
- Alt-F1

and then log in, VPN icon and panel show up.  I can then Ctrl-Alt-F3 back to the text terminal and log out of there, then back to Alt-F2 to my Wayland session.

Actual results:

Need to log in to text console before logging into Wayland session.

Expected results:

Used to not need any "extra" log in, as of F27.  This regressed with F28 and continues with F29.

Additional info:

Comment 1 Dimitris 2019-01-09 15:44:50 UTC
Realized part of the steps is misleading.  It's "If after booting and before logging in to Wayland" that the workaround applies, obviously.

Comment 2 Ben Cotton 2019-10-31 20:12:14 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Dimitris 2019-11-01 06:11:26 UTC
Still happening with F30


Note You need to log in before you can comment on or make changes to this bug.